/* Generated with AuthorIT version 4.5.610  13.11.2008 13:56:39 */
Page=new Array();
Page[0]=new Array("ISBN: N/A&nbsp;","Parallels&nbsp;","660 SW 39th Street","Suite 205 ","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400&nbsp;","Fax: +1 (425) 282 6444&nbsp;","&nbsp;","© Copyright 1999-2008,&nbsp;","Parallels, Inc.&nbsp;","All rights reserved&nbsp;","&nbsp;","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.&nbsp;","&nbsp;","&nbsp;Patented technology protected by U.S.Patents 7,328,225; 7,325,017; 7,293,033; 7,099,948; 7,076,633.&nbsp;","Patents pending in the U.S.","&nbsp;","Product and service names mentioned herein are the trademarks of their respective owners.","Copyright Notice",
"47132.htm");
Page[1]=new Array("The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the QoS tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of style sheet selectors, files and directories, and CSS fragments.","The license file is called license.key.","Preformatted Bold","What you type, contrasted with on-screen computer output.","Unix/Linux:","# cd /root/rpms/php","Windows:","&gt;cd %myfolder%","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","Unix/Linux:","# ls –al /files","total 14470","Windows:","&gt;ping localhost","Reply from 127.0.0.1: bytes=32 time&lt;1ms TTL=128","Typographical Conventions",
"60795.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback",
"39588.htm");
Page[3]=new Array("This Guide explains how to use Parallels Plesk Panel Virtual Private Networking (hereinafter referred to as the VPN Module), a Parallels Plesk Panel module that allows the administrator to set up a VPN connection between a Parallels Plesk Panel-enabled server and a remote host through the Parallels Plesk Panel interface.","About This Guide",
"5577.htm");
Page[4]=new Array("Virtual Private Networking technologies allow communications between geographically distributed LAN segments over public networks. VPN message traffic passes through public networking infrastructures, such as the Internet, via secure tunnel protocols.","One of the most useful implementations of VPN is allowing access to a local network for a single remote host. For example, if a user needs to get access to a remote network from his home computer, they must establish a VPN connection.","The Parallels Plesk Panel VPN module extends Parallels Plesk Panel with the ability to support peer-to-peer communication between two Parallels Plesk Panel hosts or between your Parallels Plesk Panel host and any other computer. At present, the Parallels Plesk Panel VPN module supports connection to the server only from a single remote host and does not support connections from multiple hosts. The module is based on the OpenVPN solution which uses OpenSSL for encryption and the virtual TUN/TAP driver for tunneling.","Using Parallels Plesk Panel VPN Module",
"5578.htm");
Page[5]=new Array("You should have one of the following operating systems to use the OpenVPN solution: Linux, Windows 2000/XP and higher, OpenBSD, FreeBSD, NetBSD, Mac OS X, or Solaris.","Software Requirements",
"62579.htm");
Page[6]=new Array("To access the Parallels Plesk Panel VPN module:","Click the Modules shortcut in the navigation pane &gt; Virtual Private Networking.<br>If you access the module for the first time, the first page that opens is the VPN Preferences page. You cannot get access to other VPN module options unless you specify the preferences for your VPN connection.","Accessing the VPN Module",
"5579.htm");
Page[7]=new Array("To set up a VPN connection:","Go to Modules &gt; Virtual Private Networking.","On the Preferences page that opens, specify the following parameters:","Remote Address, enter the host name or the IP address of the host you want to communicate to. Leave this field blank if you wish the other party to be able to connect to your server from different addresses or if the remote IP address is not known in advance. Note, however, that one server cannot be involved in simultaneous communication with two or more remote hosts.","Remote UDP port, specify the port on the remote host to which UDP packets from this server will be sent. The default port is 1194. Note that though VPN uses only UDP for the encrypted traffic flow, all IP protocols, including TCP, are supported over the virtual private network. You can leave this field blank if you have not specified the remote address above.","Local UDP port, your server will listen for incoming VPN traffic on this local UDP port. The default port is 1194. You can leave this field blank if you do not want to allocate a specific port, but in that case you must specify the remote address and port fields above to allow the local host to be the initiating party.","Local peer address and Remote peer address, two hosts connected by a VPN channel need to have a pair of virtual network interfaces to route the traffic through. You need to assign two IP addresses to them, one for each side of the VPN circuit. These IP addresses should be chosen from some private address spaces and it is important that they should not overlap with any of the IP addresses present within the local networks on either side of the tunnel. These two addresses must differ only in the two least significant bits. You can pick .1 and .2 for the last octets, for example. Note that the default values are only an illustration! Always check the real configuration of your network so that you do not run into IP collision problems.","Click OK.","Note: The Parallels Plesk Panel VPN module is initially disabled. To use the VPN functionality, enable the module by clicking the Enable button.","Setting up VPN Preferences",
"5580.htm");
Page[8]=new Array("To establish a VPN connection between your Parallels Plesk Panel server and a remote host, both sides must have the same cryptographic key. This key is required for authentication and encryption of your traffic, ensuring that your communications cannot be eavesdropped or interfered by a third party. Do not forget to share the same key between both communicating parties each time you generate or upload a new key!","A cryptographic key is generated automatically and saved to a special directory during module installation. However, you might want to replace the initial key with the new one.","To generate a new VPN key:","Go to Modules &gt; Virtual Private Networking.","Click Generate Key. The new key will automatically replace the existing key.","Note: After the new key is generated, your old key will become invalid! In order to continue communication, you must share the new key with the other communicating party.","To save the generated key to your local machine:","Go to Modules &gt; Virtual Private Networking &gt; Download Key.","Save the key to a specified location on your disk.","You can then transmit this key file to another host on removable media or through another secure way.","To upload a cryptographic key that you received from another machine:","Go to Modules &gt; Virtual Private Networking &gt; Upload Key.","Specify the location of the key file and click OK.","This way of key management is especially useful if you are establishing a VPN connection between two Parallels Plesk Panel-enabled servers. If the remote host does not have Parallels Plesk Panel, it is more convenient to use client packages.","Managing Keys",
"5582.htm");
Page[9]=new Array("To simplify the task of connecting a non-Plesk host to your Parallels Plesk Panel server, Parallels Plesk Panel supplies preconfigured client packages containing configuration files and the cryptographic key for the other party. The contents of the archives are specifically tailored to the preferences you have specified earlier.","If your client is running the Windows OS, click For a Windows Client to download and save the client package on your local machine.","The client package is a zip archive that contains the following files:","Install TAP device.bat - installs the TAP driver on your computer","Uninstall TAP device.bat - uninstalls the TAP driver from your computer","Connect to VPN.bat - establishes a VPN connection","System folder - contains the cryptographic key and your VPN preferences.","To install and uninstall the TAP drivers, you must have Windows administrator rights on your computer.","To install the TAP driver, run the install TAP device.bat file. After the driver is installed, you can establish a VPN connection to the Parallels Plesk Panel-enabled server by running the connect to VPN.bat file. The OpenVPN software itself is contained within the client package and does not require any installation or removal procedures.","If your client is running a Unix OS, click For a Unix client to download and save the client package on your local machine. ","The package contains the openvpn.conf file with your current VPN preferences and the vpn-key file that is a cryptographic key for your VPN connection. If you are using this package, OpenVPN (version 2.0) must be already installed on the client machine. For smooth operation, we advise that you use OpenVPN 2.0 beta 11 as the module was tested on this beta version.","If the preferences on the Parallels Plesk Panel server change or a new key is generated or uploaded to the Parallels Plesk Panel server, the client packages must be downloaded again because they include your current key and existing VPN preferences.","Using Client Packages",
"5583.htm");
Page[10]=new Array("To enable a VPN connection from the Parallels Plesk Panel:","Go to Modules &gt; Virtual Private Networking.","Click Enable.","To disable a VPN connection from the Parallels Plesk Panel:","Go to Modules &gt; Virtual Private Networking.","Click Disable.","If you want to disable a VPN connection on a Windows client, close the Connect to VPN dialog box that appeared when you established your connection. When the Windows user logs out, the VPN connection shuts down as well.","Starting and Stopping a VPN Connection",
"5584.htm");
var PageCount=11;
function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}
