<?php
global $lmsg_arr;

$lmsg_arr = array (
	'bt_vpn_key_generate' => 'Generate Key',
	'bt_vpn_package_unix' => 'For a UNIX Client',
	'bt_vpn_package_windows' => 'For a Windows Client',

	'module_vpn_guide' => 'Plesk VPN Module Guide',

	'pb__vpn' => 'Virtual Private Networking',

	'vpnconfigurator__packaging_error' => 'An error occurred while building the requested client package:',
	'vpnconfigurator__vpnctl_error' => 'There was a problem starting or stopping the OpenVPN daemon:',

	'vpnkeyuploadform__filename' => 'File containing the VPN key',
	'vpnkeyuploadform__key_uploaded' => 'The key has been successfully uploaded.',
	'vpnkeyuploadform__not_a_key' => 'The uploaded file does not seem to be a valid VPN key.',
	'vpnkeyuploadform__title' => 'Upload VPN key',
	'vpnkeyuploadform__warning' => 'If you choose to upload a key now, the current key will be invalidated. All parties sharing that key with your server must receive the new key in order to continue VPN communication.',

	'vpnmainform__generate_key?' => 'If you choose to generate a new key now, the current key will become invalid. All parties sharing that key with your server must receive the new key in order to continue VPN communication. Generate a new key now?',
	'vpnmainform__key_generated' => 'A new key has been successfully generated.',
	'vpnmainform__key_management' => 'To establish a VPN connection between this and some other host, both must have the same cryptographic key. This key is used for authentication and encryption of your traffic, ensuring that your communications cannot be eavesdropped or interfered by a third party. Use the buttons below to share the same key between two hosts.',
	'vpnmainform__key_management_legend' => 'Key management',
	'vpnmainform__packages' => 'To simplify the task of connecting a non-Plesk enabled host to your server, Plesk supplies preconfigured client packages containing configuration files and the cryptographic key for the other party. The contents of the archives are specifically tailored to the Preferences you have set above. The package for Windows clients contains the OpenVPN program inside, while the UNIX client package requires installation of OpenVPN on the client machine.',
	'vpnmainform__packages_legend' => 'Download client packages',
	'vpnmainform__preamble' => 'A virtual private network (VPN) is a network constructed by using public wires to connect nodes. Plesk VPN module allows you to establish a point-to-point connection between two Plesk hosts or between your Plesk host and any other computer.',
	'vpnmainform__title' => 'Virtual Private Networking',

	'vpnpreferencesform__adjacent_ip_required' => 'The two IP addresses must differ only in the two least significant bits, these being 01 in one address and 10 in the other. It is recommended that you pick .1 and .2 for the last octets of these addresses.',
	'vpnpreferencesform__ifconfig_local' => 'Local peer address',
	'vpnpreferencesform__ifconfig_note' => 'Two hosts connected by a VPN channel need to have a pair of virtual network interfaces to route the traffic through. You need to assign two IP addresses to them, one for each side of the VPN circuit. These IP addresses should be chosen from some private address spaces and it is important that they should not overlap with any of the IP addresses present in the local networks on either side of the tunnel. The two addresses you pick must differ only in the two least significant bits, these being 01 in one address and 10 in the other. You can pick .1 and .2 for the last octets, for example. Note that the default values are only an illustration! Always check the real configuration of your network so that you do not run into IP collision problems.',
	'vpnpreferencesform__ifconfig_remote' => 'Remote peer address',
	'vpnpreferencesform__invalid_ifconfig_local' => 'Invalid local peer address',
	'vpnpreferencesform__invalid_ifconfig_remote' => 'Invalid remote peer address',
	'vpnpreferencesform__invalid_local_port' => 'Invalid local port',
	'vpnpreferencesform__invalid_remote_address' => 'Invalid remote address',
	'vpnpreferencesform__invalid_remote_port' => 'Invalid remote port',
	'vpnpreferencesform__local_port' => 'Local UDP port',
	'vpnpreferencesform__local_port_note' => 'Your server will listen for incoming VPN traffic on this local UDP port. The default port is 1194. You can leave this blank if you do not want to allocate a specific port number, but in that case you must fill the remote address and port fields above so that your host can be the originating party.',
	'vpnpreferencesform__must_specify_something' => 'You must specify either a local port or a remote address and port.',
	'vpnpreferencesform__preferences_legend' => 'Preferences',
	'vpnpreferencesform__remote_address' => 'Remote address',
	'vpnpreferencesform__remote_address_note' => 'This is the host name or IP address of the host you want to communicate to. Leave this blank if you wish the other party to be able to connect to your server from different addresses, or if the remote IP address is not known in advance. Note, however, that one server cannot be involved in simultaneous communication with two or more remote hosts.',
	'vpnpreferencesform__remote_port' => 'Remote UDP port',
	'vpnpreferencesform__remote_port_note' => 'Please enter the port on the remote host to which UDP packets from this server will be sent. The default port is 1194. Note that though VPN uses only UDP for its encrypted traffic, all IP protocols, including TCP, are supported over the virtual private network. You can leave this field blank if you are also leaving out the remote address above.',
	'vpnpreferencesform__title' => 'VPN Preferences',
);

@include_once('conhelp_en-US.php');



?>